#!/usr/bin/perl

# Copyright 2002-2008 Josh Clark and Global Moxie, LLC. This code cannot be 
# redistributed without permission from globalmoxie.com.  For more
# information, consult your Big Medium license.
#
# $Id: bm-import.cgi 3043 2008-03-31 14:00:38Z josh $

use strict;
use warnings;
my $THIS_DIR;

BEGIN {
    if ( $0 =~ m!(.*)[/\\]!ms ) {
        $THIS_DIR = $1;
    }
    else {
        $THIS_DIR = q{.};
    }
    unshift @INC, $THIS_DIR . '/Modules';
    unshift @INC, $THIS_DIR;
}
use CGI::Carp qw(fatalsToBrowser);
use BigMed::App::Web::Import;
$| = 1;

my $app = BigMed::App::Web::Import->new();
$app->run();

exit;

