/* BM Customizations
   $Id: bmconfig.js 3328 2008-09-15 09:48:34Z josh $

   Also need custom plugin: editor/plugins/bmRemoveFormat
   style customizations in editor/css/fck_editorarea.css
   style customizations in editor/skins/silver/fck_dialog.css
   changes to fck_paste.html
   update fckeditorcode_gecko per: http://dev.fckeditor.net/ticket/2500
   update fck_link.js per: http://dev.fckeditor.net/ticket/2488
*/

//set to true to force all pasting to go in as plain text
FCKConfig.ForcePasteAsPlainText	= false ;

//setup
FCKConfig.SkinPath = FCKConfig.BasePath + 'skins/silver/' ;
FCKConfig.PreloadImages = [ FCKConfig.SkinPath + 'images/toolbar.start.gif', FCKConfig.SkinPath + 'images/toolbar.buttonarrow.gif' ] ;
FCKConfig.DocType = '' ; //no doctype; makes ie tougher to edit

//enable plugins
FCKConfig.Plugins.Add( 'bmRemoveFormat' ) ;
FCKConfig.Plugins.Add( 'dragresizetable' );


//toolbars
FCKConfig.ToolbarCanCollapse = false ;
FCKConfig.FontFormats	= 'p;pre;h1;h2;h3' ;
FCKConfig.ToolbarSets["bm-full"] = [
    [ 'FontFormat', '-', 'Bold','Italic','Underline','StrikeThrough','-',
      'Subscript','Superscript','-','SpecialChar', '-',
	  'Link','Unlink','Anchor'],
	[ 'JustifyLeft','JustifyCenter','JustifyRight', '-',
	  'Outdent','Indent', 'Blockquote', '-',
	  'OrderedList','UnorderedList', '-', 'Table','Rule' ],
    ['Undo','Redo','-','Find','Replace'],
    ['PasteWord','RemoveFormat'],
    ['FitWindow','ShowBlocks','Source']
] ;
FCKConfig.ToolbarSets["bm-brief"] = [
    ['Bold','Italic','Underline','StrikeThrough', '-', 'SpecialChar'],
    ['OrderedList','UnorderedList'],
    ['Link','Unlink'],
    ['PasteWord','RemoveFormat','Source']
] ;
FCKConfig.CustomStyles = {};

// formatting
FCKConfig.EnterMode = 'p';
FCKConfig.ShiftEnterMode = 'br';
FCKConfig.FormatOutput = true ; //nice output format
FCKConfig.FormatSource = true ;  //nice formatting for source view
FCKConfig.ProcessHTMLEntities	= false ;

// keep <p> and <hn> tags instead of converting to div
FCKConfig.CleanWordKeepsStructure = true;
FCKConfig.AutoDetectPasteFromWord = true ;	// IE only.

FCKConfig.Keystrokes = [
	[ CTRL + 65 /*A*/, true ],
	[ CTRL + 67 /*C*/, true ],
	[ CTRL + 88 /*X*/, true ],
	[ CTRL + 86 /*V*/, 'Paste' ],
	[ SHIFT + 45 /*INS*/, 'Paste' ],
	[ CTRL + 90 /*Z*/, 'Undo' ],
	[ CTRL + 89 /*Y*/, 'Redo' ],
	[ CTRL + SHIFT + 90 /*Z*/, 'Redo' ],
	[ CTRL + 76 /*L*/, 'Link' ],
	[ CTRL + 66 /*B*/, 'Bold' ],
	[ CTRL + 73 /*I*/, 'Italic' ],
	[ CTRL + 85 /*U*/, 'Underline' ],
	[ CTRL + 9 /*TAB*/, 'Source' ]
] ;

// indentation
FCKConfig.IndentLength = 3;
FCKConfig.IndentUnit = 'em';


// turn off browsers
FCKConfig.LinkBrowser = false ;
FCKConfig.ImageBrowser = false ;
FCKConfig.FlashBrowser = false ;
FCKConfig.LinkUpload = false ;
FCKConfig.ImageUpload = false ;
FCKConfig.FlashUpload = false ;

// only offer right-click for the stuff we support
FCKConfig.ContextMenu = ['Generic', 'Link','Anchor','BulletedList','NumberedList','Table'];

// allow firefox to display misspelled words
FCKConfig.FirefoxSpellChecker = true;

// allow to get context with ctrl
FCKConfig.BrowserContextMenuOnCtrl = true;

// modal background tint
FCKConfig.BackgroundBlockerColor = '#003333' ;
FCKConfig.BackgroundBlockerOpacity = 0.80 ;
